<template>
    <p>Full  Name : {{ fullName }}</p>
    <p>
        <label for=""> firstName </label>
        <input type="text" v-model="firstName">
    </p>
    <p>
        <label for=""> lastName </label>
        <input type="text" v-model="lastName">
    </p>
    <p>{{ num }}</p>
    <button @click="incrementNum">Increment</button>
</template>

<script>
    export default {
        name : 'ComputedView',
        data: () => {
            return {
                firstName : '',
                lastName : '',
                num: 0,
            }
        },
        // methods: {
        //     fullName() {
        //         console.log("RE-evalating fullName")
        //         return this.firstName + ' ' + this.lastName
        //     },
        //     incrementNum() {
        //         this.num++
        //     }
        // },
        computed: {
            fullName() {
                console.log("Re-evalating fullName")
                return this.firstName + ' ' + this.lastName
            }
        },
        methods: {
            incrementNum(){
                this.num++
            }
        },
    }
</script>

<style>
</style>